//**********************************************************************
//
//	medieval_soc.shader for Q3 by Sims
//	Website : http://www.simonoc.com/
//
//**********************************************************************
//

// ----------------------------------------------------------------------
textures/ut4_wallride/light1_3k
{
	qer_editorimage textures/ut4_wallride/light1.tga
	q3map_lightImage textures/ut4_wallride/light1.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_wallride/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/light2_3k
{
	qer_editorimage textures/ut4_wallride/light2.tga
	q3map_lightImage textures/ut4_wallride/light2.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_wallride/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/light1_beam
{
	qer_editorimage textures/ut4_wallride/light1_beam.tga
	qer_alphafunc greater 0.5
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.9
	cull none
	{
		map textures/ut4_wallride/light1_beam.tga
		blendFunc GL_ONE GL_ONE
		tcMod Scroll 0.1 0
		detail
	}
}

// ----------------------------------------------------------------------
textures/ut4_wallride/floor_stone1
{
	qer_editorimage textures/ut4_wallride/floor_stone1.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/floor_stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_wallride/floor_stone1_nd
{
	qer_editorimage textures/ut4_wallride/floor_stone1.tga
	q3map_nonplanar
	q3map_shadeangle 45
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/floor_stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


// ----------------------------------------------------------------------
textures/ut4_wallride/floor_steptop1
{
	qer_editorimage textures/ut4_wallride/floor_steptop1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/floor_steptop1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/floor_steptop1c
{
	qer_editorimage textures/ut4_wallride/floor_steptop1c.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/floor_steptop1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/floor_stepside1
{
	qer_editorimage textures/ut4_wallride/floor_stepside1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/floor_stepside1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/floor_stepside1c
{
	qer_editorimage textures/ut4_wallride/floor_stepside1c.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/floor_stepside1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/marble_black
{
	qer_editorimage textures/ut4_wallride/marble_black.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/marble_black.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/metal1
{
	qer_editorimage textures/ut4_wallride/metal1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/metal1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/metal2
{
	qer_editorimage textures/ut4_wallride/metal2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/metal2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/metal_trim1
{
	qer_editorimage textures/ut4_wallride/metal_trim1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/metal_trim1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/rooftile1
{
	qer_editorimage textures/ut4_wallride/rooftile1.tga
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/rooftile1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/stone1
{
	qer_editorimage textures/ut4_wallride/stone1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_wallride/stone1_slick
{
	qer_editorimage textures/ut4_wallride/stone1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/stone2
{
	qer_editorimage textures/ut4_wallride/stone2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/stone2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_wallride/stone2_slick
{
	qer_editorimage textures/ut4_wallride/stone2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/stone2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/stone_trim1
{
	qer_editorimage textures/ut4_wallride/stone_trim1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/stone_trim1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/wood_grey
{
	qer_editorimage textures/ut4_wallride/wood_grey.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/wood_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/wood_browndark
{
	qer_editorimage textures/ut4_wallride/wood_browndark.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/wood_browndark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/wood_brownlight
{
	qer_editorimage textures/ut4_wallride/wood_brownlight.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/wood_brownlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/wood_trim1c
{
	qer_editorimage textures/ut4_wallride/wood_trim1c.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/wood_trim1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/wood_trim1d
{
	qer_editorimage textures/ut4_wallride/wood_trim1d.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/wood_trim1d.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/woodplank_1a
{
	qer_editorimage textures/ut4_wallride/woodplank_1a.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/woodplank_1a.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/woodplank_1b
{
	qer_editorimage textures/ut4_wallride/woodplank_1b.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/woodplank_1b.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/woodplank_2
{
	qer_editorimage textures/ut4_wallride/woodplank_2.tga
	q3map_nonplanar
	q3map_shadeangle 45
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/woodplank_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ======================================================================
// DECALS
// ======================================================================
textures/ut4_wallride/decal_stain1
{
	qer_editorimage textures/ut4_wallride/decal_stain1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/ut4_wallride/decal_stain1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/ut4_wallride/decal_stain2a
{
	qer_editorimage textures/ut4_wallride/decal_stain2a.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/ut4_wallride/decal_stain2a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/ut4_wallride/decal_stain2b
{
	qer_editorimage textures/ut4_wallride/decal_stain2b.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/ut4_wallride/decal_stain2b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/ut4_wallride/decal_stain3a
{
	qer_editorimage textures/ut4_wallride/decal_stain3a.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/ut4_wallride/decal_stain3a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/ut4_wallride/decal_stain3b
{
	qer_editorimage textures/ut4_wallride/decal_stain3b.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/ut4_wallride/decal_stain3b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

// ======================================================================
// B U T T O N S
// ======================================================================
textures/ut4_wallride/button_woodhand
{
	qer_editorimage textures/ut4_wallride/button_woodhand.tga
	q3map_nonplanar
	q3map_shadeangle 75
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/button_woodhand.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/button_woodhand45
{
	qer_editorimage textures/ut4_wallride/button_woodhand45.tga
	q3map_nonplanar
	q3map_shadeangle 75
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/button_woodhand45.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/button_woodshoot
{
	qer_editorimage textures/ut4_wallride/button_woodshoot.tga
	q3map_nonplanar
	q3map_shadeangle 75
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/button_woodshoot.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/ut4_wallride/button_woodside
{
	qer_editorimage textures/ut4_wallride/button_woodside.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_wallride/button_woodside.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_wallride/noodglass2_slick_5000
{
	qer_editorimage textures/01_glass/noodglass2.tga
	q3map_surfaceLight 5000
	q3map_lightsubdivide 128
    surfaceparm trans	 
    surfaceparm nodamage
	surfaceparm slick
	cull none
	qer_trans 	0.5
     
    {
        map textures/01_glass/noodglass2.tga
        tcgen environment
		blendFunc GL_ONE GL_ONE
	}
          
}

textures/ut4_wallride/noodglass_blue
{
    qer_editorimage textures/ut4_wallride/noodglass_blue.tga
    //q3map_surfaceLight 5000
    //q3map_lightsubdivide 128
    surfaceparm trans     
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nolightmap
    cull none
    qer_trans     0.5
     
    {
        map textures/ut4_wallride/noodglass_blue.tga
        tcgen environment
        blendFunc GL_ONE GL_ONE
    }
          
}
textures/ut4_wallride/noodglass_orange
{
    qer_editorimage textures/ut4_wallride/noodglass_orange.tga
    //q3map_surfaceLight 5000
    //q3map_lightsubdivide 128
    surfaceparm trans     
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nolightmap
    cull none
    qer_trans     0.5
     
    {
        map textures/ut4_wallride/noodglass_orange.tga
        tcgen environment
        blendFunc GL_ONE GL_ONE
    }
          
}
textures/ut4_wallride/noodglass_gray
{
    qer_editorimage textures/ut4_wallride/noodglass_gray.tga
    //q3map_surfaceLight 5000
    //q3map_lightsubdivide 128
    surfaceparm trans     
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nolightmap
    cull none
    qer_trans     0.5
     
    {
        map textures/ut4_wallride/noodglass_gray.tga
        tcgen environment
        blendFunc GL_ONE GL_ONE
    }
          
}
textures/ut4_wallride/noodglass_blue_nonsolid
{
    qer_editorimage textures/ut4_wallride/noodglass_blue.tga
    //q3map_surfaceLight 5000
    //q3map_lightsubdivide 128
    surfaceparm nonsolid
    surfaceparm trans     
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm nolightmap
    cull none
    qer_trans     0.5
     
    {
        map textures/ut4_wallride/noodglass_blue.tga
        tcgen environment
        blendFunc GL_ONE GL_ONE
    }
          
}